Ticket #13341: spkg.2.diff

File spkg.2.diff, 2.3 KB (added by jpflori, 9 years ago)

spkg diff, for review only

  • .hgtags

    diff --git a/.hgtags b/.hgtags
    a b  
    1169ff80a88c52d1685aedc9e02ce8281b449c429d gap-4.4.12.p5
    22654904afbf67fd1b8e86c0e916e6988b02d8d449 gap-4.4.12.p6
    33d6226c94f81ba51f9852848bda1f6516a41da4a5 gap-4.4.12.p7
     4f40ccce323d0efc011d09c7089488cfc39ac7c2e gap-4.4.12.p8
  • SPKG.txt

    diff --git a/SPKG.txt b/SPKG.txt
    a b  
    5555
    5656== Changelog ==
    5757
     58=== gap-4.4.12.p8 (Jean-Pierre Flori, Leif Leonhardy, 5 August 2012) ===
     59 * #13341: Only create symbolic link to gap.exe on Cygwin if needed.
     60
    5861=== gap-4.4.12.p7 (Leif Leonhardy, March 22nd 2012) ===
    5962 * #7041: Only unset `CC` and `CXX` if really necessary (i.e., if they
    6063   contain spaces, which is what currently would break the build).
  • spkg-install

    diff --git a/spkg-install b/spkg-install
    a b  
    9595        exit 1
    9696    fi
    9797
    98     # On a Windows machine the GAP build creates a file "gap.exe",
    99     # but no file named "gap".  This breaks the build, since it
    100     # then tries to strip gap, but can't since the file is missing!
     98    # On Cygwin installations the GAP build creates a file 'gap.exe',
     99    # and then tries to strip the file 'gap'.
     100    # This broke the build on old Cygwin installations.
     101    # On newer Cygwins, 'gap' is automatically "translated" to 'gap.exe'.
    101102    if [[ "$UNAME" = CYGWIN ]]; then
     103        echo "Creating a dummy 'gap.exe' in 'bin/i686-pc-cygwin-gcc'..."
    102104        mkdir -p bin/i686-pc-cygwin-gcc &&
    103105        cd bin/i686-pc-cygwin-gcc &&
    104         touch gap.exe &&
    105         ln -s gap.exe gap
     106        touch gap.exe
    106107        if [[ $? -ne 0 ]]; then
    107             echo >&2 "Error creating dummy 'gap.exe' and/or a link from 'gap' to it."
     108            # Something really went wrong.
     109            echo >&2 "Error creating a dummy gap.exe file."
    108110            exit 1
    109111        fi
     112
     113        # Check if 'gap' is automatically "translated" to 'gap.exe'.
     114        # If not, create a symbolic link from 'gap' to 'gap.exe'.
     115        if [[ ! -f gap ]]; then
     116            echo "Creating a symbolic link from 'gap' to 'gap.exe'..."
     117            ln -s gap.exe gap
     118            if [[ $? -ne 0 ]]; then
     119                # Something really went wrong.
     120                echo >&2 "Error creating the symbolic link."
     121                exit 1
     122            fi
     123        fi
     124
    110125        cd ../..
    111126    fi
    112127